import { Component, Input } from '@angular/core';
import { User } from '../../../../model/User';
import { RouterModule } from '@angular/router';

@Component({
    selector: 'app-large-user',
    standalone: true,
    templateUrl: './large-user.component.html',
    styleUrl: './large-user.component.scss',
    imports: [RouterModule]
})
export class LargeUserComponent {
  @Input() user: User | undefined;
}
