import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { UserRoutingModule } from './user-routing.module';
import { UserComponent } from './user.component';
import { TopMenuComponent } from '../shared/top-menu/top-menu.component';
import { SideMenuComponent } from '../shared/side-menu/side-menu.component';
import { PostComponent } from '../shared/views/post/post.component';
import { LargeUserComponent } from '../shared/views/large-user/large-user.component';

@NgModule({
  declarations: [
    UserComponent
  ],
  imports: [
    CommonModule,
    UserRoutingModule,
    TopMenuComponent,
    SideMenuComponent,
    PostComponent,
    LargeUserComponent
  ]
})
export class UserModule { }
